'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (fac, template) {
    var args = fac.outputs ? ['props', 'state', 'path'] : ['props', 'state'];
    var info = fac.outputs ? '// you should implement these output paths: ' + fac.outputs.join(', ') + '\n  ' : '';
    var factoryArgs = fac.argumentCount ? new Array(fac.argumentCount).join(',').split(',').map(function (item, i) {
        return 'arg' + (i + 1);
    }) : [];

    var content = template.replace(/\{IDENTIFIER\}/g, fac.identifier).replace(/\{FACTORYARGUMENTS\}/g, factoryArgs.join(', ')).replace(/\{INFO\}/g, info).replace(/\{ARGUMENTS\}/g, args.join(', ')).replace(/\{ASYNC\}/g, fac.async ? 'async ' : '');

    return content;
};