'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (action, template) {
    var args = action.outputs ? ['props', 'state', 'path'] : ['props', 'state'];
    var info = action.outputs ? '// you should implement these output paths: ' + action.outputs.join(', ') + '\n  ' : '';

    var content = template.replace(/\{IDENTIFIER\}/g, action.identifier).replace(/\{ARGUMENTS\}/g, args.join(', ')).replace(/\{INFO\}/g, info).replace(/\{ASYNC\}/g, action.async ? 'async ' : '');

    return content;
};